package com.yidian.shenghuoquan.bpush.service

import com.yidian.bcommon.services.ZapServiceActionConstants
import com.yidian.xarc.xrouter.ResultResolver
import com.yidian.yac.core.zap.ZapService
import org.json.JSONObject

class PushService : ZapService() {
  private lateinit var resolver: ResultResolver
  override fun onAction(path: String, action: String, params: Any, options: Any, resolver: ResultResolver) {
    this.resolver = resolver
    params as JSONObject
    when(action) {
      ZapServiceActionConstants.ActionPushMessage -> pushMessage()
    }
  }

  override fun onExit() {
  }

  override fun onInit() {
  }

  private fun pushMessage() {

  }


}
